ClarisDrawStyleManager Class Reference

the main class to read a ClarisDraw style More...

`#include <ClarisDrawStyleManager.hxx>`

## Public Member Functions

| ClarisDrawStyleManager (ClarisDrawParser &parser)
| constructor
virtual | ~ClarisDrawStyleManager ()
| destructor
void | setDefaultNumbers (int nColors, int nGradients)
| set the default number of color, ...
bool | getColor (int cId, MWAWColor &color) const
| tries to return the color corresponding to an id
bool | getDash (int dId, std::vector< float > &dash) const
| tries to return the dash definition corresponding to an id
bool | getFont (int fId, MWAWFont &font) const
| tries to return the font corresponding to an id
bool | getParagraph (int pId, MWAWParagraph &para) const
| tries to return the paragraph corresponding to an id
bool | getPattern (int pId, MWAWGraphicStyle::Pattern &pattern) const
| tries to return the pattern corresponding to an id
bool | updateGradient (int gId, MWAWGraphicStyle &style) const
| tries to update the style gradient

## Protected Member Functions

bool | readFontStyles ()
| tries to read the font style
bool | readParagraphStyles ()
| tries to read the paragraph style
bool | readFontNames ()
| tries to read the font names zone
bool | readColorList ()
bool | readPatternList ()
bool | readGradientList ()
bool | readArrows ()
| tries to read the Arrow styles
bool | readDashs ()
| tries to read the dash settings
bool | readRulers ()
| tries to read the Ruler styles

## Protected Attributes

ClarisDrawParser & | m_parser
| the main parser
MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< ClarisDrawStyleManagerInternal::State > | m_state
| the state

## Friends

class | ClarisDrawParser

## Detailed Description

the main class to read a ClarisDraw style

## Constructor & Destructor Documentation

## ClarisDrawStyleManager()

ClarisDrawStyleManager::ClarisDrawStyleManager | ( | ClarisDrawParser & | parser | ) |

explicit

constructor

## ~ClarisDrawStyleManager()

ClarisDrawStyleManager::~ClarisDrawStyleManager | ( |  | ) |

virtual

destructor

## Member Function Documentation

## getColor()

bool ClarisDrawStyleManager::getColor | ( | int | cId,
|  | MWAWColor & | color ) const

tries to return the color corresponding to an id

## getDash()

bool ClarisDrawStyleManager::getDash | ( | int | dId,
|  | std::vector< float > & | dash ) const

tries to return the dash definition corresponding to an id

## getFont()

bool ClarisDrawStyleManager::getFont | ( | int | fId,
|  | MWAWFont & | font ) const

tries to return the font corresponding to an id

## getParagraph()

bool ClarisDrawStyleManager::getParagraph | ( | int | pId,
|  | MWAWParagraph & | para ) const

tries to return the paragraph corresponding to an id

## getPattern()

bool ClarisDrawStyleManager::getPattern | ( | int | pId,
|  | MWAWGraphicStyle::Pattern & | pattern ) const

tries to return the pattern corresponding to an id

## readArrows()

bool ClarisDrawStyleManager::readArrows | ( |  | ) |

protected

tries to read the Arrow styles

## readColorList()

bool ClarisDrawStyleManager::readColorList | ( |  | ) |

protected

## readDashs()

bool ClarisDrawStyleManager::readDashs | ( |  | ) |

protected

tries to read the dash settings

## readFontNames()

bool ClarisDrawStyleManager::readFontNames | ( |  | ) |

protected

tries to read the font names zone

## readFontStyles()

bool ClarisDrawStyleManager::readFontStyles | ( |  | ) |

protected

tries to read the font style

## readGradientList()

bool ClarisDrawStyleManager::readGradientList | ( |  | ) |

protected

## readParagraphStyles()

bool ClarisDrawStyleManager::readParagraphStyles | ( |  | ) |

protected

tries to read the paragraph style

## readPatternList()

bool ClarisDrawStyleManager::readPatternList | ( |  | ) |

protected

## readRulers()

bool ClarisDrawStyleManager::readRulers | ( |  | ) |

protected

tries to read the Ruler styles

## setDefaultNumbers()

void ClarisDrawStyleManager::setDefaultNumbers | ( | int | nColors,
|  | int | nGradients )

set the default number of color, ...

## updateGradient()

bool ClarisDrawStyleManager::updateGradient | ( | int | gId,
|  | MWAWGraphicStyle & | style ) const

tries to update the style gradient

## Friends And Related Symbol Documentation

## ClarisDrawParser

friend class ClarisDrawParser

friend

Referenced by ClarisDrawParser, and ClarisDrawStyleManager().

## Member Data Documentation

## m_parser

ClarisDrawParser& ClarisDrawStyleManager::m_parser

protected

the main parser

Referenced by ClarisDrawStyleManager().

## m_parserState

MWAWParserStatePtr ClarisDrawStyleManager::m_parserState

protected

the parser state

Referenced by ClarisDrawStyleManager(), readArrows(), readColorList(), readDashs(), readFontNames(), readFontStyles(), readGradientList(), readPatternList(), and readRulers().

## m_state

std::shared_ptr<ClarisDrawStyleManagerInternal::State> ClarisDrawStyleManager::m_state

protected

the state

Referenced by ClarisDrawStyleManager(), getColor(), getDash(), getFont(), getParagraph(), getPattern(), readColorList(), readDashs(), readGradientList(), readPatternList(), setDefaultNumbers(), and updateGradient().

The documentation for this class was generated from the following files:

- ClarisDrawStyleManager.hxx
- ClarisDrawStyleManager.cxx